EDIT - bug #9347

LIE during ABCD file import
12/04/2020 03:32 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

File imported: Kurs-19_20_Herbar.xml

++++++++Import Report+++++++++
Specimens created: O
Skipped/not imported: 0

Imported unit ids

Ignored unit ids

———Created Taxon Names (1)-—-——
Bupleurum

—-——Created Taxa (1)-—-
Bupleurum sec. ABCD classic

———Created Taxon Nodes (0)-———

——-Already existing specimen/not imported (0)--—-—

—-—-Taxa with associated specimens (0)-—-

—-——Info messages———
Error when reading record! [abcd:Unit: null]
failed to lazily initialize a collection of role: eu.etaxonomy.cdm.model.taxon.TaxonNode.childNode
s, could not initialize proxy - no Session
org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: eu.et
axonomy.cdm.model.taxon.TaxonNode.childNodes, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection. java:584)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:201)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentC
ollection. java:145)

at org.hibernate.collection.internal.PersistentList.size (PersistentList.java:113)

at eu.etaxonomy.cdm.model.taxon.TaxonNode.setParentTreeNode_aroundBody20 (TaxonNode. java:787)

at eu.etaxonomy.cdm.model.taxon.TaxonNode.setParentTreeNode_aroundBody2l$advice (TaxonNode. java
:406)

at eu.etaxonomy.cdm.model.taxon.TaxonNode.setParentTreeNode (TaxonNode. java:1)

at eu.etaxonomy.cdm.model.taxon.Classification.addChildNode (Classification.java:237)

at eu.etaxonomy.cdm.model.taxon.Classification.addChildTaxon (Classification. java:222)
at eu.etaxonomy.cdm.model.taxon.Classification.addChildTaxon (Classification.java:217)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.linkParentChildNode (SpecimenImportBase. java
:907)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.addParentTaxon (SpecimenImportBase. java:797)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.addTaxonNode (SpecimenImportBase. java:1042)

at eu.etaxonomy.cdm.io.specimen.SpecimenImportBase.handleIdentifications (SpecimenImportBase. ja
va:1022)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.handleSingleUnit (Abcd206Import. java:’
78)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import.java:268)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:82)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase.java:104)

at eu.etaxonomy.cdm.io.common.CdmImportBase.invoke (CdmImportBase. java:91)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDef
aultImport. java:223)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefau
ltImport.java:86)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importDataFromInputStream (IOServiceImpl. java:198)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importData (IOServiceImpl. java:143)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$l.doRun (IO0ServiceImpl. java:80)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorTh
read. java:42)

Exception during import!
A different object with the same identifier value was already associated with the session : [eu.et
axonomy.cdm.model.reference.Reference#9541]; nested exception is org.hibernate.NonUniqueObjectExce
ption: A different object with the same identifier value was already associated with the session
[eu.etaxonomy.cdm.model.reference.Reference#9541]
org.springframework.dao.DuplicateKeyException: A different object with the same identifier value w
as already associated with the session : [eu.etaxonomy.cdm.model.reference.Reference#9541]; nested
exception is org.hibernate.NonUniqueObjectException: A different object with the same identifier

value was already associated with the session : [eu.etaxonomy.cdm.model.reference.Reference#9541]

at org.springframework.orm.hibernateb5.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils.java:259)

at org.springframework.orm.hibernate5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:755)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:590)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:765)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:734)

at eu.etaxonomy.cdm.io.common.CdmIoBase.commitTransaction (CdmIoBase. java:163)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:251)

at eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206Import.doInvoke (Abcd206Import. java:82)

at eu.etaxonomy.cdm.io.common.CdmIoBase.invoke (CdmIoBase.java:104)

at eu.etaxonomy.cdm.io.common.CdmImportBase.invoke (CdmImportBase. java:91)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.doImport (CdmApplicationAwareDef
aultImport. java:223)

at eu.etaxonomy.cdm.io.common.CdmApplicationAwareDefaultImport.invoke (CdmApplicationAwareDefau
ltImport.java:86)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importDataFromInputStream (IOServiceImpl. java:198)

at eu.etaxonomy.cdm.io.service.IOServiceImpl.importData (IOServiceImpl. java:143)

at eu.etaxonomy.cdm.io.service.IOServiceImpl$l.doRun (IO0ServiceImpl. java:380)

at eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run (RemotingProgressMonitorTh
read.java:42)
Caused by: org.hibernate.NonUniqueObjectException: A different object with the same identifier val
ue was already associated with the session : [eu.etaxonomy.cdm.model.reference.Reference#9541]

at org.hibernate.engine.internal.StatefulPersistenceContext.checkUniqueness (StatefulPersistenc
eContext. java:642)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:284)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)
at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:63)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOr
UpdateEventListener. java:357)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
dateEventListener. java:331)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
rUpdateEventListener. java:227)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:92)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl.java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventL
istener.java:414)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSaveE
ventListener.java:252)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:182)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener.java:125)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedl
d(DefaultSaveOrUpdateEventListener. java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl.java:651)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:643)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:423)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:348)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade. java:456)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:388)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade. java:351)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:187)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:136)

at org.hibernate.event.internal.AbstractFlushingEventListener.cascadeOnFlush (AbstractFlushingE
ventListener.java:150)

at org.hibernate.event.internal.AbstractFlushingEventListener.prepareEntityFlushes (AbstractFlu
shingEventListener. java:141)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (Abst
ractFlushingEventListener. java:74)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:38)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1295)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:4638)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:3159)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2352)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:491)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)
at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi

natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi

natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231

)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio

nManager. java:582)
13 more

History

#1 - 12/04/2020 03:38 PM - Andreas Kohlbecker
- File Kurs-19_20_Herbar.xml added

- Description updated

#2 - 12/04/2020 04:47 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.19

This should be fixed soon.

#3 - 01/27/2021 04:16 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 02:48 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/19/2021 05:06 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46

Files

Kurs-19_20_Herbar.xml 166 KB
